Load Balancer

Configure Health Check

put/loadbalancer/{lb_uuid}/listeners/{listener_uuid}/health-check

Create or update health check configuration for a listener.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

lb_uuid*string
listener_uuid*string

Request body

Create or update a health check

application/jsonRequired
protocol?LBHealthCheckProtocol | null
Default"http"Value in"http""https""tcp"
path?string | null

Path for HTTP/HTTPS checks

Rangelength ≤ 255Default"/"
port?integer | null

Override port

Range1 ≤ value ≤ 65535
interval_seconds?integer | null
Range5 ≤ value ≤ 300Default30
timeout_seconds?integer | null
Range1 ≤ value ≤ 60Default5
healthy_threshold?integer | null
Range1 ≤ value ≤ 10Default2
unhealthy_threshold?integer | null
Range1 ≤ value ≤ 10Default3
expected_codes?string | null

Expected HTTP status codes

Rangelength ≤ 100Default"200-399"
http_method?string | null
Default"GET"Value in"GET""HEAD"

Responses

Successful Response

application/json

detail*string
listener_uuid*string